# FC2 spec file for xdaliclock

Summary:	Funky clock with morphing digits
Name:		xdaliclock
Version:	2.20
Release:	1gls
License:	MIT
Group:		User Interface/X
Source0:	http://www.jwz.org/xdaliclock/%{name}-%{version}.tar.gz
Patch0:		%{name}-shape-cycle.patch
Patch1:		%{name}-DESTDIR.patch
URL:		http://www.jwz.org/xdaliclock/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	xorg-x11-devel, autoconf

%define		_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
The xdaliclock program displays a digital clock; when a digit changes,
it "morphs" into its new shape.

It can display in 12 or 24 hour modes, and displays the date when a
mouse button is held down. It has two large fonts built into it, but
it can animate other fonts.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cd X11
CFLAGS="-D_GNU_SOURCE"
%{__autoconf}
%configure
%{__make}

%install
rm -rf %{buildroot}
cd X11
%{__make} install install-man DESTDIR=%{buildroot}
install -D XDaliClock.ad %{buildroot}%{_libdir}/X11/app-defaults/XDaliClock

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_libdir}/X11/app-defaults/XDaliClock
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} Gabriel L. Somlo <somlo@acns.colostate.edu>
Changed XFree86-devel reference to xorg-x11-devel
Trimmed down spec file :)
Made sure package builds correctly on Fedora Core 2
Fixed "error: Package already exists: %_package debuginfo" error
Removed %_{rpmcflags} from CFLAGS line -- was borking build on FC2
AppDefaults install required -D flag to create directory.

* Wed Oct 15 2003 PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xdaliclock.spec,v $
Revision 1.27.2.1  2003/10/15 15:42:24  kloczek
- reelase 1 for Ra.

Revision 1.27  2003/10/15 15:41:56  kloczek
- updated to 2.20: bug fixes,
- remove oudated time patch,
- merge translations from KSI.

Revision 1.26  2002/12/08 20:38:56  ankry
- remove bogus fr Summary

Revision 1.25  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.24  2002/05/21 23:15:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/02/23 05:11:00  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/07/23 02:29:03  kloczek
- release 8,
- merge time patch from rawhide,
- regenerate ac files (spec is ac 2.5x ready).

Revision 1.19  2001/01/30 04:59:54  kloczek
- typos in %_install.

Revision 1.18  2001/01/30 04:56:53  kloczek
- release 6,
- added icons (based on MDK resources) and desktop file (based on Conectiva
  wmconfig) for xdaliclock,
- spec adapterized.

Revision 1.17  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.16  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.15  2000/06/09 07:24:14  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.13  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.11  2000/03/06 03:05:59  kloczek
- updated to 2.18,
- updated Source url and added URL.

Revision 1.10  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.9  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.8  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.14-1]
- package is FHS 2.0 compliant,
- spec file based on RH version; modified for PLD use by me
  and Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>.
